---
title: Settings
slug: Tools/Settings
---
<p>{{ToolsSidebar}}</p>

<h2 id="Opening_Settings">Opening Settings</h2>

<p>Beginning with Firefox 62, the icon to open Developer Tools settings has been moved into a menu accessed by clicking/touching ... (the elipsis) on the right of the tab.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16085/DevTools_LayoutMenu.png" style="height: 290px; width: 225px;"></p>

<p>The menu includes settings to control the location of the Developer Tools. You can choose between the default setting at the bottom of the windows, or move the tools to the left or right side of the screen. These settings are particularly useful if you have a widescreen monitor. You can also choose to open the tools in a separate window.</p>

<p><strong>Show split console</strong> adds a section at the bottom of the tools showing the console. It makes visible the command line and one or two lines of the console output.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16086/split_console.png" style="height: 352px; width: 902px;"></p>

<p>The rest of the settings are on the Developer Tools Settings Pane. To see the settings, open any of the Developer Tools, and then:</p>

<ul>
 <li>click the "Settings" command in the menu:<img alt="" src="https://mdn.mozillademos.org/files/16082/DevTools_Menu.png" style="border: 1px solid #cccccc; display: block; height: 430px; margin-left: auto; margin-right: auto; width: 1920px;"></li>
 <li>or press <kbd>F1</kbd> to toggle between the active tool and the Settings pane</li>
</ul>

<p>The Settings pane looks something like this:</p>

<p><img alt="Depicts the Toolbox options" src="https://mdn.mozillademos.org/files/16081/dev_tools_settings.png"></p>

<h2 id="Categories">Categories</h2>

<h3 id="Default_Firefox_Developer_Tools">Default Firefox Developer Tools</h3>

<p>This group of checkboxes determines which tools are enabled in the toolbox. New tools are often included in Firefox but not enabled by default.</p>

<h3 id="Available_Toolbox_Buttons">Available Toolbox Buttons</h3>

<p>This group of checkboxes determines which tools get <a href="/en-US/docs/Tools/Tools_Toolbox#Extra_tools">an icon in the Toolbox's toolbar</a>.</p>

<p>As of Firefox 62, if the option to "Select an iframe as the currently targeted document" is checked, the icon will appear in the toolbar while the Settings tab is displayed, even if the current page doesn't include any iframes.</p>

<p>Note that in Firefox 52 we removed the checkbox to toggle the <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#Select_element_button">"Select element" button</a>. The "Select element" button is now always shown.</p>

<h3 id="Themes">Themes</h3>

<p>This enables you to choose one of two themes.</p>

<ul>
 <li>
  <p>There's a light theme, which is the default:</p>

  <p><img alt="Light theme for DevTools" src="https://mdn.mozillademos.org/files/16083/theme-light.png" style="border: 1px solid #cccccc; display: block; height: 430px; margin-left: auto; margin-right: auto; width: 1920px;"></p>
 </li>
 <li>
  <p>A dark theme (the default on <a href="/en-US/docs/Mozilla/Firefox/Developer_Edition">Firefox Developer Edition</a>):</p>

  <p><img alt="Dark theme for DevTools" src="https://mdn.mozillademos.org/files/16084/theme-dark.png" style="border: 1px solid #cccccc; display: block; height: 430px; margin-left: auto; margin-right: auto; width: 1920px;"></p>
 </li>
</ul>

<h3 id="Common_preferences">Common preferences</h3>

<p>Settings that apply to more than one tool. There's just one of these:</p>

<dl>
 <dt><em>Enable persistent logs</em></dt>
 <dd>A setting to control whether or not the Web Console and Network Monitor clear their output when you navigate to a new page.</dd>
</dl>

<div class="note">
<p>If Common Preferences is not included in the Settings,  Web Console logs can be persisted  by using the 'about:config'  url in browser address bar, searching for: 'devtools.webconsole.persistlog' then toggling this value to true</p>
</div>

<h3 id="Inspector">Inspector</h3>

<dl>
 <dt><em>Show browser styles</em></dt>
 <dd>A setting to control whether styles applied by the browser (<a href="/en-US/docs/Web/CSS/Cascade">user-agent styles</a>) should be displayed in the Inspector's <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_CSS#Examine_CSS_rules">Rules view</a>. Note that this setting is independent of the "Browser styles" checkbox in the Inspector's <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_CSS#Examine_computed_CSS">Computed view</a>.</dd>
 <dt><em>Truncate DOM attributes</em></dt>
 <dd>By default, the Inspector truncates DOM attributes that are more than 120 characters long. Uncheck this box to prevent this behavior. This setting works by toggling the about:config preference "devtools.markup.collapseAttributes". To change the threshold at which attributes are truncated, you can edit the about:config preference "devtools.markup.collapseAttributeLength".</dd>
 <dt><em>Default color unit</em></dt>
 <dd>A setting to control how colors are represented in the inspector:
 <ul>
  <li>Hex</li>
  <li>HSL(A)</li>
  <li>RGB(A)</li>
  <li>color name</li>
  <li>As authored.</li>
 </ul>
 </dd>
 <dt><em>Enable layout panel</em></dt>
 <dd>Enable the experimental layout panel. This setting only exists in Firefox Nightly.</dd>
</dl>

<h3 id="Web_Console">Web Console</h3>

<dl>
 <dt><em>Enable timestamps</em></dt>
 <dd>Controls whether the Web Console displays timestamps. The Web Console defaults to hiding timestamps.</dd>
 <dt><em>Enable new console frontend</em></dt>
 <dd>Switch to the experimental new console. This setting only exists in Firefox Nightly.</dd>
</dl>

<h3 id="Debugger">Debugger</h3>

<dl>
 <dt><em>Enable Source Maps</em></dt>
 <dd>Enable <a href="/en-US/docs/Tools/Debugger/How_to/Use_a_source_map">source map support</a> in the debugger.</dd>
 <dt><em>Enable new debugger frontend</em></dt>
 <dd>Enable the new debugger. This setting only exists in Firefox Nightly.</dd>
</dl>

<h3 id="Style_Editor">Style Editor</h3>

<dl>
 <dt><em>Show original sources</em></dt>
 <dd>When a CSS preprocessor supporting source maps is used, this enables the Style Editor to display the original, preprocessor, sources rather than the generated CSS. <a href="/en-US/docs/Tools/Style_Editor#Source_map_support">Learn more about Style Editor support for CSS source maps</a>. With this setting checked, the <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_CSS#Link_to_CSS_file">Page Inspector Rules view will also provide links to the original sources</a>.</dd>
 <dt><em>Autocomplete CSS</em></dt>
 <dd>Enable the Style Editor to offer autocomplete suggestions.</dd>
</dl>

<h3 id="Screenshot_Behavior">Screenshot Behavior</h3>

<dl>
 <dt><em>Screenshot to clipboard</em></dt>
 <dd>When you click the icon for the <a href="/en-US/docs/Tools/Screenshot_tool">Screenshot tool</a>, copy the screenshot image to the clipboard (the image will still be saved to your Downloads directory). New in Firefox 53.</dd>
 <dt><em>Play camera shutter sound</em></dt>
 <dd>When you click the icon for the <a href="/en-US/docs/Tools/Screenshot_tool">Screenshot tool</a>, play a shutter sound. New in Firefox 53.</dd>
</dl>

<h3 id="Editor_Preferences">Editor Preferences</h3>

<p>Preferences for the <a href="http://codemirror.net/">CodeMirror</a> source editor, which is included in Firefox and used by several developer tools, including <a href="/en-US/docs/Tools/Scratchpad">Scratchpad</a> and the <a href="/en-US/docs/Tools/Style_Editor">Style Editor</a>.</p>

<dl>
 <dt><em>Detect indentation</em></dt>
 <dd>Auto-indent new lines based on the current indentation.</dd>
 <dt><em>Autoclose brackets</em></dt>
 <dd>Determines whether typing an opening character like <code>[</code> or <code>{</code> will cause the editor to insert the matching closing character <code>]</code> or <code>}</code> for you.</dd>
 <dt><em>Indent using spaces</em></dt>
 <dd>When checked, indentation will be performed using spaces, when off, the editor will use tabs instead.</dd>
 <dt><em>Tab size</em></dt>
 <dd>The frequency of tab stops in the editor. Select 2, 4, or 8.</dd>
 <dt><em>Keybindings</em></dt>
 <dd>Choose the default CodeMirror keybindings or keybindings from one of several popular editors:
 <ul>
  <li>Vim</li>
  <li>Emacs</li>
  <li>Sublime Text</li>
 </ul>
 </dd>
</dl>

<h3 id="Advanced_settings">Advanced settings</h3>

<dl>
 <dt><em>Show Gecko platform data</em></dt>
 <dd>A setting to control whether or not profiles should include Gecko platform symbols.</dd>
</dl>

<dl>
 <dt><em>Disable HTTP Cache</em></dt>
 <dd>Disable the browser HTTP cache to simulate first-load performance in all tabs that have the Toolbox open. This setting persists, meaning that if it is set, caching will be disabled whenever you reopen the devtools. Caching is re-enabled when the devtools are closed. Note that service workers are not affected by this option.
 <div class="note">Note that this option was called "Disable Cache" in Firefox versions previous to 49, but it was renamed to make it clearer that this affects the HTTP cache, and not <a href="/en-US/docs/Web/API/Service_Worker_API">Service Workers</a>/the <a href="/en-US/docs/Web/API/Cache">Cache API</a>.</div>
 </dd>
 <dt><em>Disable JavaScript</em></dt>
 <dd>Reload the current tab with JavaScript disabled.</dd>
 <dt><em>Enable Service Workers over HTTP</em></dt>
 <dd>Enable Service Worker registrations from insecure websites.</dd>
 <dt><em>Enable browser chrome and add-on debugging toolboxes</em></dt>
 <dd>Enable you to use developer tools in the context of the browser itself, and not only web content.</dd>
 <dt><em>Enable remote debugging</em></dt>
 <dd>Enable the developer tools to <a href="/en-US/docs/Tools/Remote_Debugging">debug remote Firefox instances</a>.</dd>
 <dt><em>Enable worker debugging</em></dt>
 <dd>Enable a panel within the debugger to debug workers.
 <p class="note">Note: This option got removed from the UI in Firefox 56, because this version ships with a <a href="/en-US/docs/Tools/Debugger">new Debugger UI</a>, but it can still be enabled for the old UI by setting the preference <code>devtools.debugger.workers</code> to <code>true</code>.</p>
 </dd>
</dl>
